---
title: Update
url: https://www.tines.com/docs/api/admin/roles/update/
updated: 2026-04-09T14:16:42+00:00
description: Update a Role.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Roles](https://www.tines.com/llm/docs/api/admin/roles.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/admin/roles/update/)*

## Description

Update a Role.

## Request

HTTP Method: **PATCH**

| Body Parameter | Description                                                                                                                                  |
| -------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| description    | **Optional** Role description.                                                                                                               |
| permissions    | **Optional** Array of permission names, from the [list of available permissions](https://www.tines.com/docs/admin/teams/#permissions-table). |

| Path Parameter | Description             |
| -------------- | ----------------------- |
| role_id        | ID or name of the role. |

### Sample request

<!-- cspell:disable -->

```bash

curl -X PATCH \
  https://<tenant-domain>/api/v1/admin/roles/<<role_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
       "permissions": ["CASE_CREATE"]
      }'
```

<!-- cspell:enable -->

## Response

A successful request will return a JSON object describing the updated role.

### Field description

| Parameter   | Description                                                                      |
| ----------- | -------------------------------------------------------------------------------- |
| id          | Role ID.                                                                         |
| name        | Role name.                                                                       |
| type        | Role type - custom.                                                              |
| description | Role description.                                                                |
| permissions | Array of applied permissions.                                                    |
| created_at  | Timestamp describing when the role was created.                                  |
| updated_at  | Timestamp describing when the role was last updated.                             |
| builder     | Boolean indicating whether this role grants builder / story editing permissions. |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": "123",
  "name": "MY_ROLE",
  "type": "custom",
  "description": "My fantastic role",
  "permissions": ["CASE_CREATE"],
  "created_at": "2019-11-03T09:57:49.537Z",
  "updated_at": "2019-11-03T09:57:49.537Z",
  "builder": false
}
```

<!-- cspell:enable -->
